Why we no longer support IE10 or below

We sometimes are asked why we don't support certain older versions of web browsers.

Why are we ending support for IE8, IE9 & IE10?

We constantly evaluate which browsers to support, and consider which ones will give our users the best and most secure experience. This enables us to focus on areas that will add the most value for all our customers. There are three key reasons that drive our decisions:

  1. Older browsers are less secure. Trust and security are incredibly important to us at Akkroo. There are more and more security vulnerabilities discovered in these older browsers as time passes, and so we are committed to discouraging use of these insecure browsers by dropping support in line with the manufacturer's recommendations. 
  2. Microsoft will stop supporting IE8, IE9 & IE10 in January 2015. For more information, please see their website: microsoft.com/en-us/WindowsForBusiness/End-of-IE-support.
  3. Our customers have the best experience when they use newer browsers. Our customers will only benefit from the best and fastest technologies when using the newest browsers, and older browsers simply cannot provide all the features required to allow a full-featured web experience.

What is changing?

In 2014, Microsoft announced that they would end support for IE10 or below in January 2016. At the same time Akkroo, will also stop actively supporting these older browsers. That doesn’t mean our services won’t work for anyone on these browsers, however it does mean if you’re running IE8, IE9 or IE10, some features/functionality may stop working in time and we won't actively be building fixes as the percentage of active users has dropped below a significant threshold.

How can I get more information?

Akkroo Support is always available to answer any questions you may have about this change. Start a chat below!